---
title: "Retrieve Wallet"
source_url: https://docs.rapyd.net/en/retrieve-wallet.html
lang: en
---

# Retrieve Wallet

Retrieve the details of a Rapyd Wallet.

> **Note:**
>
> - This endpoint replaces the deprecated endpoint - `get /v1/user/:wallet`
>
>   Rapyd no longer supports the deprecated endpoint.
> - The code samples include successful requests (200) and bad requests (400).
>
>   - For error messages that appear due to bad requests (400), see:
>
>     - [General Errors](https://docs.rapyd.net/en/general-errors.md "General Errors")
>     - [Wallet Errors](https://docs.rapyd.net/en/wallet-errors.md "Wallet Errors")
>     - [Wallet Contact Errors](https://docs.rapyd.net/en/wallet-contact-errors.md "Wallet Contact Errors")
>   - For information about unauthorized request (401) and other authentication errors, see [Troubleshooting Authentication and Authorization Errors](https://docs.rapyd.net/en/troubleshooting-authentication-and-authorization-errors.md "Troubleshooting Authentication and Authorization Errors").

### Parameters

### Request Path Parameters

- - ewallet
  - ID of the Rapyd Wallet. String starting with **ewallet_**.

### Request Header Parameters

- - access_key
  - Unique access key provided by Rapyd for each authorized user.

    See [Developers](https://docs.rapyd.net/en/developers.md "Developers").
- - Content-Type
  - Indicates that the data appears in JSON format. Set to **application/json**.
- - salt
  - Random string. Recommended length: 8-16 characters.
- - signature
  - Signature calculated for each request individually.

    See [Request Signatures](https://docs.rapyd.net/en/request-signatures.md "Request Signatures").
- - timestamp
  - Timestamp for the request, in [Unix time](https://docs.rapyd.net/en/glossary.md#UUID-945d98cf-adae-e1cf-2606-c7fae8b4a7e1_unix_time "Unix time") (seconds).

### Response Parameters

- - accounts
  - An array of objects with the following fields:

    - - alias
      - Alternate text description of the currency.
    - - balance
      - Available funds in the account.
    - - currency
      - Three-letter ISO 4217 code for the currency used in the `balance` field.
    - - id
      - ID of the account. UUID.
    - - limit
      - Reserved.
    - - limits
      - Reserved.
    - - on_hold_balance
      - Amount in the on-hold balance of the account.
    - - received_balance
      - Amount of escrow funds in the account.
    - - reserve_balance
      - Amount in the reserve balance of the account.
- - category
  - Indicates the type of client wallet. One of the following:

    - **collect**
    - **disburse**
    - **card_authorization**
    - **general**
- - cnls_partner_query_reference
  - Value of the `partner_query_reference` parameter used as the query request ID in the Card Network Lookup Service (CNLS). See [Retrieve Query Results](https://docs.rapyd.net/en/retrieve-query-results.md "Retrieve Query Results"). Relevant to Payment Facilitator (PayFac).
- - contacts
  - Contains the following fields:

    - - data
      - An array of 'contact' objects. For details about the fields of the 'contact' object, see [Add Contact to Wallet](https://docs.rapyd.net/en/add-contact-to-wallet.md "Add Contact to Wallet").
    - - has_more
      - Indicates whether there are more contacts than appear in the `data` array.
    - - total_count
      - The total number of contacts in the wallet.
    - - url
      - URL to retrieve all contacts in the wallet. Use HTTP get.
- - email
  - Email address of the wallet owner. Deprecated. The email address belongs to the contact.
- - ewallet_reference_id
  - Wallet ID defined by the customer or end user.
- - first_name
  - First name of the wallet owner.
- - id
  - Unique identifier of the wallet object. String starting with **ewallet_**.
- - last_name
  - Family name of the wallet owner.
- - metadata
  - A JSON object defined by the client. See [Metadata](https://docs.rapyd.net/en/metadata.md "Metadata").
- - parent_ewallet
  - ID of the parent wallet. String starting with **ewallet_**.
- - phone_number
  - Phone number of the wallet owner in E.164 format. Deprecated. The phone number belongs to the contact.
- - status
  - Status of the wallet. One of the following:

    - **ACT** - Enabled and active.
    - **CLO** - Permanently closed.
    - **DIS** - Disabled.
    - **DEL** - Deleted.
- - type
  - Type of wallet. One of the following:

    - **company** - A business wallet.
    - **person** - The wallet of an individual consumer.
    - **client** - A wallet for the Rapyd client. To create additional wallets of this type, contact [Client Support](https://support.rapyd.net).
- - verification_status
  - Result of the verification check. One of the following:

    - **not verified** - The contact has not been submitted for the **Know Your Customer** checks.
    - **KYCd** - The user has passed the **Know Your Customer** checks.

### Code Samples

- - .NET

    - ```csharp
      using System;

      namespace RapydApiRequestSample
      {
          class Program
          {
              static void Main(string[] args)
              {
                  try
                  {
                      string wallet = "ewallet_9e2ad940e7b24e78701021cdc7d91fa4";

                      string result = RapydApiRequestSample.Utilities.MakeRequest("GET", $"/v1/user/{wallet}");

                      Console.WriteLine(result);
                  }
                  catch (Exception e)
                  {
                      Console.WriteLine("Error completing request: " + e.Message);
                  }
              }
          }
      }
      ```
- - JavaScript

    - ```javascript
      const makeRequest = require('<path-to-your-utility-file>/utilities').makeRequest;

      async function main() {
        try {
          const result = await makeRequest('GET', '/v1/user/ewallet_9e2ad940e7b24e78701021cdc7d91fa4');

          console.log(result);
        } catch (error) {
          console.error('Error completing request', error);
        }
      }
      ```
- - PHP

    - ```php
      <?php
      $path = $_SERVER['DOCUMENT_ROOT'];
      $path .= "/<path-to-your-utility-file>/utilities.php";
      include($path);

      try {
          $object = make_request('get', '/v1/user/ewallet_9e2ad940e7b24e78701021cdc7d91fa4');
          var_dump($object);
      } catch(Exception $e) {
          echo "Error: $e";
      }
      ?>
      ```
- - Python

    - ```python
      from pprint import pprint

      from utilities import make_request

      wallet = 'ewallet_9e2ad940e7b24e78701021cdc7d91fa4'
      results = make_request(method='get', path=f'/v1/user/{wallet}')

      pprint(results)
      ```

- /v1/ewallets/:ewallet

- Retrieve Person Wallet
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_31fb2dbbaf6519461ee4fbe1062220d3' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "7fb030bb-4734-4a23-a17a-145a4b4e1ce4"
      },
      "data": {
          "phone_number": null,
          "email": "jane.smith.162417@example.com",
          "first_name": "Jane",
          "last_name": "Smith",
          "id": "ewallet_31fb2dbbaf6519461ee4fbe1062220d3",
          "status": "ACT",
          "accounts": [
              {
                  "id": "49b2c1db-dd26-444f-8667-5508ae901de5",
                  "currency": "EUR",
                  "alias": "EUR",
                  "balance": 95,
                  "received_balance": 0,
                  "on_hold_balance": 6,
                  "reserve_balance": 0,
                  "limits": null,
                  "limit": null
              },
              {
                  "id": "d722c12f-e88f-47b8-a2a1-96606b0ee997",
                  "currency": "HKD",
                  "alias": "HKD",
                  "balance": 130356.1,
                  "received_balance": 0,
                  "on_hold_balance": 0,
                  "reserve_balance": 0,
                  "limits": null,
                  "limit": null
              }
          ],
          "verification_status": "not verified",
          "type": "person",
          "metadata": {
              "merchant_defined": true
          },
          "ewallet_reference_id": "erd-2025-08-10b",
          "category": null,
          "contacts": {
              "data": [
                  {
                      "id": "cont_cfcecbbaf6bd086f7077a70f53b8e259",
                      "first_name": "Jane",
                      "last_name": "Smith",
                      "middle_name": "",
                      "second_last_name": "",
                      "gender": "not_applicable",
                      "marital_status": "not_applicable",
                      "house_type": "",
                      "contact_type": "personal",
                      "phone_number": "+14155551235",
                      "email": "jane.smith.162417@example.com",
                      "identification_type": "",
                      "identification_number": "",
                      "issued_card_data": {
                          "preferred_name": "",
                          "transaction_permissions": "",
                          "role_in_company": ""
                      },
                      "date_of_birth": null,
                      "country": "US",
                      "nationality": null,
                      "address": null,
                      "ewallet": "ewallet_31fb2dbbaf6519461ee4fbe1062220d3",
                      "created_at": 1753881859,
                      "metadata": {},
                      "business_details": null,
                      "compliance_profile": 0,
                      "verification_status": "not verified",
                      "send_notifications": false,
                      "mothers_name": "",
                      "contact_reference_id": null
                  }
              ],
              "has_more": false,
              "total_count": 1,
              "url": "/v1/ewallets/ewallet_31fb2dbbaf6519461ee4fbe1062220d3/contacts"
          },
          "parent_ewallet": "ewallet_b5320c566cc4aa01fe77440ad08693f7",
          "cnls_partner_query_reference": null
      }
  }
  ```

- Retrieve Company Wallet
- ```curl
  curl -X get
  'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_053d64c44834e1d3057ecb68a34c6b6c' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "",
          "status": "SUCCESS",
          "message": "",
          "response_code": "",
          "operation_id": "b5ddff12-b415-47b9-b612-93f86695d4d7"
      },
      "data": {
          "phone_number": "+14155551234",
          "email": "johndoe12162020@rapyd.net",
          "first_name": "Four Star Professional Services",
          "last_name": null,
          "id": "ewallet_053d64c44834e1d3057ecb68a34c6b6c",
          "status": "ACT",
          "accounts": [
              {
                  "id": "df9abb16-5676-11eb-9403-124eb1b705c1",
                  "currency": "USD",
                  "alias": "USD",
                  "balance": 832.44,
                  "received_balance": 0,
                  "on_hold_balance": 0,
                  "reserve_balance": 0,
                  "limits": null,
                  "limit": null
              },
              {
                  "id": "f50244a0-b3b6-11eb-9403-124eb1b705c1",
                  "currency": "MXN",
                  "alias": "MXN",
                  "balance": 5000,
                  "received_balance": 0,
                  "on_hold_balance": 0,
                  "reserve_balance": 0,
                  "limits": null,
                  "limit": null
              }
          ],
          "verification_status": "not verified",
          "type": "company",
          "metadata": {
              "merchant_defined": "updated"
          },
          "ewallet_reference_id": "4-star-pro-12162023",
          "category": null,
          "contacts": {
              "data": [
                  {
                      "id": "cont_3625cb4fc18d005b12f9ccf0c466755e",
                      "first_name": "John",
                      "last_name": "Doe",
                      "middle_name": "",
                      "second_last_name": "",
                      "gender": "not_applicable",
                      "marital_status": "not_applicable",
                      "house_type": "",
                      "contact_type": "business",
                      "phone_number": "+14155551234",
                      "email": "johndoefourstar@rapyd.net",
                      "identification_type": "PA",
                      "identification_number": "1234567890",
                      "issued_card_data": {
                          "preferred_name": "",
                          "transaction_permissions": "",
                          "role_in_company": ""
                      },
                      "date_of_birth": "2000-11-22",
                      "country": "US",
                      "nationality": "NL",
                      "address": {
                          "id": "address_9706af91b503c70a819605222afabc96",
                          "name": "John Doe - Four Star Professional Services",
                          "line_1": "123 Main Street",
                          "line_2": "",
                          "line_3": "",
                          "city": "Anytown",
                          "state": "NY",
                          "country": "US",
                          "zip": "12345",
                          "phone_number": "+14155551234",
                          "metadata": {},
                          "canton": "",
                          "district": "",
                          "created_at": 1608023967
                      },
                      "ewallet": "ewallet_053d64c44834e1d3057ecb68a34c6b6c",
                      "created_at": 1608023967,
                      "metadata": {
                          "merchant_defined": "updated"
                      },
                      "business_details": {
                          "id": "busi_9d2952408ec5dec780f5b88a8fc174aa",
                          "name": "Four Star Professional Services",
                          "registration_number": "R24032020000",
                          "entity_type": "company",
                          "industry_category": "company",
                          "industry_sub_category": "home services",
                          "address": {
                              "id": "address_977b39b4b725fadc9040e1ee1e5df795",
                              "name": "John Doe - Four Star Professional Services",
                              "line_1": "1234 Main Street",
                              "line_2": "Suite 1200",
                              "line_3": "",
                              "city": "Anytown",
                              "state": "NY",
                              "country": "US",
                              "zip": "10101",
                              "phone_number": "14155557779",
                              "metadata": {
                                  "merchant_defined": true
                              },
                              "canton": "",
                              "district": "",
                              "created_at": 1608023967
                          },
                          "created_at": 1608023967,
                          "annual_revenue": 0,
                          "establishment_date": null,
                          "legal_entity_type": null,
                          "cnae_code": null,
                          "statement_descriptor": null,
                          "mcc": null,
                          "website_url": null,
                          "customer_service_phone_number": null
                      },
                      "compliance_profile": 0,
                      "verification_status": "not verified",
                      "send_notifications": false,
                      "mothers_name": "Jane Smith",
                      "contact_reference_id": "johndoe20251009"
                  },
                  {
                      "id": "cont_e7bf3f15100c37b2d5628cbacb762c22",
                      "first_name": "Jane",
                      "last_name": "Doe",
                      "middle_name": "",
                      "second_last_name": "",
                      "gender": "female",
                      "marital_status": "single",
                      "house_type": "lease",
                      "contact_type": "personal",
                      "phone_number": "+14155551233",
                      "email": "jane200@rapyd.net",
                      "identification_type": "PA",
                      "identification_number": "1233242424",
                      "issued_card_data": {
                          "preferred_name": "",
                          "transaction_permissions": "",
                          "role_in_company": ""
                      },
                      "date_of_birth": "2000-11-22",
                      "country": "US",
                      "nationality": "FR",
                      "address": {
                          "id": "address_ba682dc8bd98a4ed3ded711c7c42d099",
                          "name": "Jane Doe",
                          "line_1": "123 Lake Forest Drive",
                          "line_2": "",
                          "line_3": "",
                          "city": "Anytown",
                          "state": "NY",
                          "country": "",
                          "zip": "12345",
                          "phone_number": "+14155551234",
                          "metadata": {
                              "merchant_defined": true
                          },
                          "canton": "",
                          "district": "",
                          "created_at": 1623313045
                      },
                      "ewallet": "ewallet_053d64c44834e1d3057ecb68a34c6b6c",
                      "created_at": 1623313045,
                      "metadata": {
                          "merchant_defined": true
                      },
                      "business_details": null,
                      "compliance_profile": 0,
                      "verification_status": "not verified",
                      "send_notifications": false,
                      "mothers_name": "Jane Smith",
                      "contact_reference_id": null
                  },
                  {
                      "id": "cont_f2b7f98b019af17df892dcc92abc3cc2",
                      "first_name": "Jane",
                      "last_name": "Doe",
                      "middle_name": "",
                      "second_last_name": "",
                      "gender": "female",
                      "marital_status": "single",
                      "house_type": "lease",
                      "contact_type": "personal",
                      "phone_number": "+14155551237",
                      "email": "jane200@rapyd.net",
                      "identification_type": "PA",
                      "identification_number": "1233242424",
                      "issued_card_data": {
                          "preferred_name": "",
                          "transaction_permissions": "",
                          "role_in_company": ""
                      },
                      "date_of_birth": "2000-11-22",
                      "country": "US",
                      "nationality": "FR",
                      "address": {
                          "id": "address_a81d37a3c2b3c8d3f894bf68aa314fd6",
                          "name": "Jane Doe",
                          "line_1": "123 Lake Forest Drive",
                          "line_2": "",
                          "line_3": "",
                          "city": "Anytown",
                          "state": "NY",
                          "country": "",
                          "zip": "12345",
                          "phone_number": "+14155551234",
                          "metadata": {
                              "merchant_defined": true
                          },
                          "canton": "",
                          "district": "",
                          "created_at": 1608036236
                      },
                      "ewallet": "ewallet_053d64c44834e1d3057ecb68a34c6b6c",
                      "created_at": 1608036236,
                      "metadata": {
                          "merchant_defined": "updated"
                      },
                      "business_details": null,
                      "compliance_profile": 0,
                      "verification_status": "not verified",
                      "send_notifications": false,
                      "mothers_name": "Joan Smyth",
                      "contact_reference_id": null
                  }
              ],
              "has_more": false,
              "total_count": 3,
              "url": "/v1/ewallets/ewallet_053d64c44834e1d3057ecb68a34c6b6c/contacts"
          },
          "parent_ewallet": null,
          "cnls_partner_query_reference": null
      }
  }
  ```

- Bad Request - Wallet Not Found
- ```curl
  curl -X get 'https://sandboxapi.rapyd.net/v1/ewallets/ewallet_7a05ee6cb11a889e84703e4bd05677ee' \
  -H 'access_key: your-access-key-here' \
  -H 'Content-Type: application/json' \
  -H 'salt: your-random-string-here' \
  -H 'signature: your-calculated-signature-here' \
  -H 'timestamp: your-unix-timestamp-here'
  ```
- ```json
  {
      "status": {
          "error_code": "ERROR_GET_USER",
          "status": "ERROR",
          "message": "The request attempted an operation that requires a wallet, but the wallet was not found. The request was rejected. Corrective action: Use the ID of a valid wallet that has not been deleted. The ID is a string starting with 'ewallet_'.",
          "response_code": "ERROR_GET_USER",
          "operation_id": "6199470a-1603-4ba1-b8d5-d856d5a9eb3a"
      }
  }
  ```
